# ファイルレポートコマンド

### ファイルレポートコマンド <a href="#file-report-command-details" id="file-report-command-details"></a>

ボルト内で参照できる添付ファイルを、タイトル、レコードUID、ファイルIDなどとともに一覧化したレポートを出力します。

<details>

<summary>DotNet CLI</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperFileReport`

**パラメーター:**

`-Format` 出力形式 (`table`、`csv`、`json`)

`-Output` 結果ファイルの出力パス (形式が `table` のときは無視)

`-d`、`-TryDownload` 参照可能な添付をすべてダウンロードして検証

**例:**

```sh
PS > Get-KeeperFileReport
Scanning vault for file attachments...

Title Record UID             Record Type File ID                File Name     File Size
----- ----------             ----------- -------                ---------     ---------
Test1 2lAzF6Ok4xAfA-DYd6LQVQ login       QxYVAc4F5ezY7H294zoVDA download1.jpg      7151
Test1 xrJ-GWKvgJtyLgIR6Tnqjg login       uLodKnuDXFxzfvLo_XuSDQ download.jpg       4961


PS > Get-KeeperFileReport -TryDownload
Scanning vault for file attachments and verifying download accessibility...

Title Record UID             Record Type File ID                File Name     File Size Downloadable
----- ----------             ----------- -------                ---------     --------- --------------
Test1 2lAzF6Ok4xAfA-DYd6LQVQ login       QxYVAc4F5ezY7H294zoVDA download1.jpg      7151 OK
Test1 xrJ-GWKvgJtyLgIR6Tnqjg login       uLodKnuDXFxzfvLo_XuSDQ download.jpg       4961 OK

```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `file-report`

**パラメーター:**

`--format` 出力形式 (`table`、`csv`、`json`)

`--output` 結果ファイルの出力パス (形式が `table` のときは無視)

`-d`、`--try-download` 参照可能な添付をすべてダウンロードして検証

**例:**

```sh
My Vault> file-report
Title                   Record UID              Record Type    File ID                 File Name              File Size    
----------------------  ----------------------  -------------  ----------------------  -------------------  -----------    
Commander Service Mode  <RecordUID>                 login          <File_ID>               service_config.yaml          604    
SM Docker Config File   <RecordUID>                 login          <File_ID>           config.json                  262
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def prepare_attachment_download(vault: vault_online.VaultOnline,
                                record_uid: str,
                                attachment_name: Optional[str]=None) -> Iterator[AttachmentDownloadRequest]:
    record = vault.vault_data.load_record(record_uid)
    if not record:
        utils.get_logger().warning('Record UID \"%s\" not found.', record_uid)
        return
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/file-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
